This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 983158 - [abrt] gedit-3.8.3-1.fc19: gtk_box_size_allocate: Process /usr/bin/gedit was killed by signal 5 (SIGTRAP)
[abrt] gedit-3.8.3-1.fc19: gtk_box_size_allocate: Process /usr/bin/gedit was ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:941da5e659be9178cee8cf03db4...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-10 12:05 EDT by martin.juren
Modified: 2015-02-17 11:03 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:03:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (61.23 KB, text/plain)
2013-07-10 12:05 EDT, martin.juren
no flags Details
File: cgroup (140 bytes, text/plain)
2013-07-10 12:05 EDT, martin.juren
no flags Details
File: core_backtrace (8.20 KB, text/plain)
2013-07-10 12:06 EDT, martin.juren
no flags Details
File: dso_list (13.57 KB, text/plain)
2013-07-10 12:06 EDT, martin.juren
no flags Details
File: environ (3.50 KB, text/plain)
2013-07-10 12:06 EDT, martin.juren
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-10 12:06 EDT, martin.juren
no flags Details
File: maps (58.97 KB, text/plain)
2013-07-10 12:06 EDT, martin.juren
no flags Details
File: open_fds (1.37 KB, text/plain)
2013-07-10 12:06 EDT, martin.juren
no flags Details
File: proc_pid_status (930 bytes, text/plain)
2013-07-10 12:06 EDT, martin.juren
no flags Details
File: var_log_messages (340 bytes, text/plain)
2013-07-10 12:06 EDT, martin.juren
no flags Details
Example file that crashes gedit when opening from file manager. (44.89 KB, application/octet-stream)
2013-10-11 08:02 EDT, Elias Vanderstuyft
no flags Details

  None (edit)
Description martin.juren 2013-07-10 12:05:52 EDT
Description of problem:
I have been working on VirtualBox virtual machine on a win 8 (what a shame). I've been trying to save the text file stored in VirtualBox shared folder with different encoding (using "save as"). The target encoding was utf-8, the source encoding probably cp1250. Gedit has warned me, that the file is in use (gedit was the only one application which was using this file) and then it has crashed.

Version-Release number of selected component:
gedit-3.8.3-1.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        gedit
crash_function: gtk_box_size_allocate
executable:     /usr/bin/gedit
kernel:         3.9.9-301.fc19.x86_64
runlevel:       N 5
uid:            1000
xsession_errors: abrt-applet: repeated problem in gedit-3.8.3-1.fc19, not showing the notification

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 gtk_box_size_allocate at gtkbox.c:486
 #7 gtk_widget_size_allocate at gtkwidget.c:5341
 #8 gtk_notebook_size_allocate at gtknotebook.c:2579
 #13 gtk_widget_size_allocate at gtkwidget.c:5341
 #14 gtk_box_size_allocate at gtkbox.c:661
 #19 gtk_widget_size_allocate at gtkwidget.c:5341
 #20 gtk_paned_child_allocate at gtkpaned.c:1034
 #21 gtk_paned_size_allocate at gtkpaned.c:1249
 #26 gtk_widget_size_allocate at gtkwidget.c:5341
 #27 gtk_paned_child_allocate at gtkpaned.c:1034
Comment 1 martin.juren 2013-07-10 12:05:55 EDT
Created attachment 771728 [details]
File: backtrace
Comment 2 martin.juren 2013-07-10 12:05:58 EDT
Created attachment 771729 [details]
File: cgroup
Comment 3 martin.juren 2013-07-10 12:06:02 EDT
Created attachment 771730 [details]
File: core_backtrace
Comment 4 martin.juren 2013-07-10 12:06:05 EDT
Created attachment 771731 [details]
File: dso_list
Comment 5 martin.juren 2013-07-10 12:06:07 EDT
Created attachment 771732 [details]
File: environ
Comment 6 martin.juren 2013-07-10 12:06:10 EDT
Created attachment 771733 [details]
File: limits
Comment 7 martin.juren 2013-07-10 12:06:13 EDT
Created attachment 771734 [details]
File: maps
Comment 8 martin.juren 2013-07-10 12:06:17 EDT
Created attachment 771735 [details]
File: open_fds
Comment 9 martin.juren 2013-07-10 12:06:20 EDT
Created attachment 771736 [details]
File: proc_pid_status
Comment 10 martin.juren 2013-07-10 12:06:22 EDT
Created attachment 771737 [details]
File: var_log_messages
Comment 11 Ian Pilcher 2013-08-11 16:50:16 EDT
Reloading file

reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        gedit button.log
crash_function: gtk_box_size_allocate
executable:     /usr/bin/gedit
kernel:         3.10.5-201.fc19.x86_64
package:        gedit-3.8.3-1.fc19
reason:         Process /usr/bin/gedit was killed by signal 5 (SIGTRAP)
runlevel:       N 5
uid:            1000
Comment 12 Elias Vanderstuyft 2013-10-11 08:02:29 EDT
Created attachment 811019 [details]
Example file that crashes gedit when opening from file manager.

It will not crash if you rename the extension to ".hex" or simply leave it out.
Comment 13 Shawn Q 2013-11-13 15:21:42 EST
Had a bunch of tabs open, saved something, then the world ceased being awesome.

reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        /usr/bin/gedit
crash_function: gtk_box_size_allocate
executable:     /usr/bin/gedit
kernel:         3.11.2-201.fc19.x86_64
package:        gedit-3.8.3-1.fc19
reason:         Process /usr/bin/gedit was killed by signal 5 (SIGTRAP)
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 14 Fedora End Of Life 2015-01-09 13:49:57 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2015-02-17 11:03:27 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.